import os
import sqlite3

TABLE_ACCOUNTS  = "accounts"
TABLE_X         = "x_posts"

class DatabaseController:
    def __init__(self, db_name):
        self.conn = sqlite3.connect(db_name, isolation_level="DEFERRED")
        self.cursor = self.conn.cursor()

    def run_query(self, query):
        try:
            self.cursor.execute(query)
            results = self.cursor.fetchall()
            return results
        except Exception as e:
            print(e)
            return None
        
    def run_command(self, commnd):
        try:
            self.cursor.execute(commnd)
            result = self.cursor.rowcount
            self.conn.commit()
            return result > 0
        except Exception as e:
            print(e)
            return False

    def close(self):
        self.conn.close()